#
# spec file for package libsysstat-qt5
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         _name libsysstat
Name:           libsysstat-qt5
Version:        0.4.0
Release:        lp151.2.3
Summary:        Query system info and statistics
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://www.lxde.org
Source:         https://github.com/lxde/%{_name}/releases/download/%{version}/%{_name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{_name}/releases/download/%{version}/%{_name}-%{version}.tar.xz.asc
Source2:        libsysstat-qt5.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  gcc-c++
BuildRequires:  lxqt-build-tools-devel >= 0.4.0
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Core) >= 5.4.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library used to query system info and statistics

%package -n libsysstat-qt5-0
Summary:        Libraries for lxqt
Group:          System/Libraries
Provides:       libsysstat

%description -n libsysstat-qt5-0
Development libraries for libsysstat

%package devel
Summary:        Devel files for libsysstat
Group:          Development/Libraries/C and C++
Requires:       libsysstat-qt5-0 = %{version}
Requires:       pkgconfig

%description devel
sysstat libraries for development

%prep
%setup -q -n %{_name}-%{version}

%build
%cmake -DUSE_QT5=ON
%__make %{?_smp_mflags}

%install
%cmake_install

%post -n libsysstat-qt5-0 -p /sbin/ldconfig

%postun -n libsysstat-qt5-0 -p /sbin/ldconfig

%files -n libsysstat-qt5-0
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/%{name}.so.0
%{_libdir}/%{name}.so.0.*

%files devel
%defattr (-,root,root)
%{_includedir}/sysstat-qt5
%{_datadir}/cmake/sysstat-qt5
%{_libdir}/pkgconfig/sysstat-qt5.pc
%{_libdir}/%{name}.so

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.4.0:
  * correct spelling mistake
  * bump version and needed version of lxqt-build-tools
  * liblxqt make no sense here
  * Copied issue template
  * Drops Qt5Core_VERSION_STRING
  * Fixes (#17)
  * Bump years
* Fri Feb 24 2017 sfalken@opensuse.org
- Update to 0.3.3:
  * Bump patch version to 3
  * Simplify include_directories and compile definitions
  * Adds Building project name and Qt version message
  * Adds a minimum Qt minimum version requirement
  * README.md: Add build dependency lxqt-build-tools
  * Use the lxqt-build-tools LXQtCreatePkgConfigFile
  * Use the lxqt-build-tools LXQtCreatePortableHeaders module
  * Use the new lxqt-build-tools package
  * Remove cpack (#14)
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.3.2:
  * rare file descriptor leak fixed
  * documentation improvements
* Thu Nov  5 2015 mvetter@suse.com
- Upstream release 0.3.1
* Mon Feb  9 2015 sfalken@opensuse.org
- new upstream version 0.3.0
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.2.0
* Tue May 13 2014 andrea@opensuse.org
- spec file cleanup for factory
* Tue May 13 2014 sfalken@opensuse.org
- Specfile Cleanup
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora specfile, split into subproject
  Del: libsysstat-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- ran spec-cleaner on specfile
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add: libsysstat-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  libsysstat-0.1.0.tar.xz
  Del:  _service
* Wed Apr  2 2014 sfalken@opensuse.org
- Removed direct cmake calls, in favour of %%cmake and %%cmake_install
* Wed Apr  2 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _system
  Add: libsysstat.spec
  Add: libsysstat.changes
